Bug 1224667 - aarch64: "file" fails to get the whole information of the new swap partition
Summary: aarch64: "file" fails to get the whole information of the new swap partition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: file
Version: 7.1
Hardware: aarch64
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 1200597 1224668
TreeView+ depends on / blocked
 
Reported: 2015-05-25 09:41 UTC by Hu Zhang
Modified: 2015-11-19 08:10 UTC (History)
7 users (show)

Fixed In Version: file-5.11-25.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1224668 (view as bug list)
Environment:
Last Closed: 2015-11-19 08:10:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
swap-ppc64le.xz (324 bytes, application/x-xz)
2015-05-29 08:09 UTC, Richard W.M. Jones
no flags Details
swap-aarch64.xz (324 bytes, application/x-xz)
2015-05-29 08:10 UTC, Richard W.M. Jones
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC

Description Hu Zhang 2015-05-25 09:41:19 UTC
Description of problem:
"file" fails to get the whole information of the new swap partition. It misses the label, UUID and some other info. This works well on x86.

Version-Release number of selected component (if applicable):
libguestfs-1.28.1-1.23.aa7a.aarch64
libguestfs-tools-c-1.28.1-1.23.aa7a.aarch64
kernel-3.19.0-0.75.aa7a.aarch64

How reproducible:
Always

Steps to Reproduce:
1. Create a new swap partition.
$ cd /tmp
$ truncate -s 1G swap
$ mkswap /tmp/swap
Setting up swapspace version 1, size = 1024 MiB (1073676288 bytes)
no label, UUID=b7ad4bd7-7a6b-47e9-b1fd-5ad0ea973d3c

2. get the swap info.
$ file /tmp/swap 
/tmp/swap: Linux/ppc swap file                                                            

Actual results:
Described as step.2. It fails to get the label, UUID, version and some other info.

Expected results:
It should returns some info like blew:
$ file /tmp/swap
swap: Linux/aarch64 swap file (new style), version 1 (4K pages), size 262143 pages, no label, UUID=4f7874fc-e2a0-4c86-9bc3-b54b5ad19d5a

Additional info:

Comment 2 Jan Kaluža 2015-05-25 09:51:46 UTC
I you have access to ppc64le and aarch64 machines, could you please create small swap file and upload it somewhere, so I could create and try the patch?

Comment 3 Richard W.M. Jones 2015-05-29 08:09:23 UTC
Created attachment 1031674 [details]
swap-ppc64le.xz

xz-compressed swap file created on RHEL 7.1 ppc64le system.

Comment 4 Richard W.M. Jones 2015-05-29 08:10:20 UTC
Created attachment 1031675 [details]
swap-aarch64.xz

xz-compressed swap file created on Fedora Rawhide aarch64 system.

Comment 5 Richard W.M. Jones 2015-05-29 08:11:12 UTC
Output of the 'file' command on both of those files:

$ file swap-*
swap-aarch64: Linux/ppc swap file
swap-ppc64le: Linux/ppc swap file

(using file-5.22-3.fc23.x86_64)

Comment 10 errata-xmlrpc 2015-11-19 08:10:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2155.html


Note You need to log in before you can comment on or make changes to this bug.